part of 'resend_otp_bloc.dart';

abstract class ResendOtpEvent extends Equatable {
  const ResendOtpEvent();
  @override
  List<Object> get props => [];
}

class ResendOtpOnSubmit extends ResendOtpEvent {}

class ResendOtpAddPhone extends ResendOtpEvent {
  final String phoneNumber;

  ResendOtpAddPhone({
    @required this.phoneNumber,
  }) : assert(phoneNumber != null);

  @override
  List<Object> get props => [phoneNumber];
}
